Name: wcslib
Version: 4.6.3
Release: 3%{?dist}
Summary: An implementation of the FITS World Coordinate System standard

Group: Development/Libraries
# Library is under LGPLv3+ utils under GPLv3+
License: LGPLv3+
URL: http://www.atnf.csiro.au/people/mcalabre/WCS/
Source0: ftp://ftp.atnf.csiro.au/pub/software/wcslib/%{name}-%{version}.tar.bz2
Patch0: wcslib-cross.patch
BuildRequires: cfitsio-devel zlib-devel

%description
WCSLIB is a library that implements the "World Coordinate System" (WCS) 
convention in FITS (Flexible Image Transport System)

%package devel
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Development/Libraries
License: LGPLv3+
Requires: wcslib = %{version}-%{release}
%description devel
These are the files needed to develop an application using %{name}.

%package utils
Summary: Utility programs provided by %{name}
Group: Development/Libraries
License: GPLv3+
Requires: wcslib = %{version}-%{release}
%description utils
Utils provided with %{name}

%prep
%setup -q 
%patch0 -p1

%build
%configure --disable-fortran
# seems to have a race condition
#make %{?_smp_mflags}
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_libdir}/pkgconfig
mkdir -p %{buildroot}/%{_includedir}/wcslib
install -m 755 utils/fitshdr %{buildroot}/%{_bindir}
install -m 755 utils/HPXcvt %{buildroot}/%{_bindir}
install -m 644 wcsconfig.h %{buildroot}/%{_includedir}/wcslib
install -m 644 wcslib.pc %{buildroot}/%{_libdir}/pkgconfig
install -m 644 C/*.h %{buildroot}/%{_includedir}/wcslib
install -m 755 C/libwcs.so.%{version} %{buildroot}/%{_libdir}
ln -s libwcs.so.%{version} %{buildroot}/%{_libdir}/libwcs.so.4
ln -s libwcs.so.%{version} %{buildroot}/%{_libdir}/libwcs.so

%clean
rm -rf %{buildroot}

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING.LESSER README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/wcslib.pc
%{_includedir}/wcslib

%files utils
%defattr(-,root,root,-)
%doc COPYING 
%{_bindir}/*

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 09 2010 Sergio Pascual <sergiopr at fedoraproject.org> 4.6.3-2
- Race condition with parallel make

* Tue Nov 09 2010 Sergio Pascual <sergiopr at fedoraproject.org> 4.6.3-1
- New upstream source
- Patch to fix problems compiling i686 in x86_64

* Tue Nov 09 2010 Sergio Pascual <sergiopr at fedoraproject.org> 4.5.6-1
- New upstream source
- Added pkgconfig file

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 16 2009 Sergio Pascual <sergiopr at fedoraproject.org> 4.3.1-2
- Added patch to link explicitly with libmath.
- Removed duplicate licenses.

* Sat Feb 14 2009 Sergio Pascual <sergiopr at fedoraproject.org> 4.3.1-1
- First version.
